<?php function create_row($ele, $list_data, $list, $channelName = null){ ?>
    <tr>
        <td>
            <?php
                $list_id = $list['id'];
            ?>
            <input id="cb-select-1" class="email-preference-list-checkbox" type="checkbox" name="enabled[]" value="<?php _e($list['id']); ?>" checked>
            <input type="hidden" name="list_id[]" value="<?php _e($list['id']); ?>">
        </td>
        <?php if ($ele->centre_type == 'iterable'): ?>
        <td>
            <input id="cb-select-1" class="email-preference-value-reverse-checkbox" type="checkbox" name="value_reverse[]" value="<?php _e($list['id']); ?>">
        </td>
        <?php endif; ?>
        <td>
            <input type="number" name="sort_order[<?php _e($list['id']); ?>]"
                value="<?php echo isset($list_data[$list_id]['sort_order']) ? $list_data[$list_id]['sort_order'] : 0; ?>"
                min="0" class="small-text uepc-sort-order-input" style="width:100%;">
        </td>
        <td>
            <input type="text" name="name[<?php _e($list['id']); ?>]"
                value="<?php echo empty($list_data[$list_id]['name']) ? $list['name'] : $list_data[$list_id]['name']; ?>"
                class="regular-text" style="width:100%;">
            <span class="description">
                <?php esc_attr_e('You can change the name of this list', 'universal-email-preference-center'); ?>
            </span>
        </td>
        <?php if ($ele->centre_type == 'iterable'): ?>
        <input type="hidden" name="subscriptionPolicy[<?php _e($list['id']); ?>]"
            value="<?php _e($list['subscriptionPolicy']) ?>">
        <td style="font-weight: 600;"><span style="background: yellow;">
                <?php _e($list['subscriptionPolicy']) ?>
            </span></td>
        <?php endif; ?>
        <td>
            <textarea name="description[<?php echo $list['id']; ?>]" rows="2" class="large-text uepc-description-input"
                style="width:100%;"><?php echo isset($list_data[$list_id]['description']) ? wp_unslash($list_data[$list_id]['description']) : ""; ?></textarea>
        </td>
        <td>
            <?php if ($channelName): ?>
                <input type="hidden" name="channelName[<?php _e($list['id']); ?>]" value="<?php _e($channelName) ?>">
                <input type="hidden" name="channelId[<?php _e($list['id']); ?>]" value="<?php _e($list['channelId']) ?>">
            <?php endif; ?>
            <code><?php echo $list_id; ?></code>
        </td>
    </tr>
<?php } ?>
<div class="postbox">
    <h2 class="hndle">
        <?php esc_attr_e(ucwords(str_replace('_', ' ', " " . $this->centre_type . " ")) . 'Lists', 'universal-email-preference-center'); ?>
    </h2>

    <div class="inside">
        <?php if (!$list_data): ?>
        <div class="notice notice-error inline">
            <p>
                <?php _e('You have not saved your list data. Please select which lists you would like to enable and click the <strong>"Save List Data"</strong> button below.', 'universal-email-preference-center'); ?>
            </p>
        </div>
        <?php endif ?>
        <p>
            <?php esc_attr_e('Each of your ' . ucwords(str_replace('_', ' ', " " . $this->centre_type . " ")) . ' Lists are outputted below.  You could then toggle if this list is included in email preference center on the front-end of site.  You could also input a description for each list which would be shown to the visitor.', 'universal-email-preference-center'); ?>
        </p>
        <form method="post">
            <table class="wp-list-table widefat fixed striped posts">
                <thead>
                    <tr>
                        <th width="12%">
                            <span>
                                <input type="checkbox" id="check-all-list" style="margin: auto;"> Enabled?
                            </span>
                        </th>
                        <?php if ($this->centre_type == 'iterable'): ?>
                        <th width="16%">
                            <span>
                                <input type="checkbox" id="check-all-value-reverse" style="margin: auto;">
                                Reverse Value
                            </span>
                        </th>
                        <?php endif; ?>
                        <th width="6%">Order</th>
                        <th width="25%">List Name</th>
                        <?php if ($this->centre_type == 'iterable'): ?>
                        <th width="7%">Policy</th>
                        <?php endif; ?>
                        <th width="28%">Description</th>
                        <th width="8%">List ID</th>
                    </tr>
                </thead>

                <tbody id="the-list">
                    <?php $channelNameStore = '' ?>
                    <?php foreach ($lists as $channelName => $list):
                        switch ($this->centre_type) {
                            case 'iterable':
                                if ($channelNameStore != $channelName) {
                                    $channelNameStore = $channelName;
                                    $class_data = $this->iterable_class_search('name', $channelName, $list_data);
                                    $channelId = isset($list[array_key_first($list)]['channelId']) ? $list[array_key_first($list)]['channelId']:'';
                                    echo "<tr>
                                        <td>    
                                            <input id='cb-select-1' class='email-preference-list-checkbox channel-checkbox' value=true type='checkbox' name='channelNameUpdate[$channelName][enabled]' style='margin: 1em 0;' checked>
                                        </td>
                                        <td></td><td></td>
                                        <td colspan=''><h3>
                                            <input name='channelNameUpdate[$channelName][name]' value='" . ($class_data['updated_name'] ?? $channelName) . "' class='regular-text' style='width: 100%'>
                                            <span class='description'>You can edit the name of this Channel</span>
                                        </h3></td>
                                        <td></td><td></td><td><code>$channelId</code></td>
                                    </tr>";
                                }

                                foreach ($list as $key => $item) {
                                    create_row($this, $list_data, $item, $channelName);
                                }
                                break;
                            default:
                                create_row($this, $list_data, $list);
                                break;
                        }
                    endforeach; ?>
                </tbody>
            </table>
            <input type="hidden" name="updated" value="true" />
            <?php wp_nonce_field('save_list_data', 'save_list_data_nonce'); ?>
            <div style="display: flex;justify-content: space-between;">
                <?php submit_button('Save List Data'); ?>
                <div>
                    <h3 style="margin: 6px 0px;">Pages Where Schortcode Used</h3>
                    <?php $this->get_pages(); ?>
                </div>
            </div>
        </form>
    </div>
</div>