<div class="wrap">
    <div class="uepc-settings-wrap">

        <h1><?php esc_attr_e('Universal email preference center settings', 'universal-email-preference-center'); ?></h1>

        <div id="poststuff">

            <div id="post-body" class="metabox-holder columns-2">
                <div id="post-body-content">

                    <div class="postbox">
                        <h2 class="hndle"><?php esc_attr_e('API Settings', 'universal-email-preference-center'); ?></h2>
                        <?php if (!$valid) : ?>
                            <div class="notice notice-error">
                                <p>Your<?php _e( ucwords( str_replace('_', ' ', " ".$this->centre_type." ") ) ); ?>Credentials are not correct.</p>
                            </div>
                        <?php endif; ?>
                        <div class="inside">
                            <form action="options.php" method="post">
                                <?php settings_fields($this->plugin_name . '_api'); ?>
                                <table class="form-table">
                                    <tbody>
                                        <tr valign="top">
                                            <th scope="row" class="titledesc">
                                                <label for="<?php _e($this->plugin_name); ?>_center"><?php esc_attr_e('Select Email Center', 'universal-email-preference-center'); ?></label>
                                            </th>
                                            <td class="forminp">
                                                <?php foreach ($this->email_centers as $key => $email_center) { ?>
                                                    <input type="radio" id="<?php _e($this->plugin_name); ?>_centre_type" name="<?php _e($this->plugin_name); ?>_centre_type" value="<?php _e($key) ?>" required <?php _e( get_option($this->plugin_name . '_centre_type') == $key ? "checked" : "") ?>> <?php _e($email_center['name']); ?> </br>
                                                <?php } ?>

                                                <p class="description"><?php esc_attr_e('This is selection for your Universal email preference center', 'universal-email-preference-center'); ?></p>
                                            </td>
                                        </tr>
                                        <tr valign="top">
                                            <th scope="row" class="titledesc">
                                                <label for="<?php _e($this->plugin_name.'_url'); ?>"><?php esc_attr_e('Email Center URL', 'universal-email-preference-center'); ?></label>
                                            </th>
                                            <td class="forminp">
                                                <input id="<?php _e($this->plugin_name.'_url'); ?>" name="<?php _e($this->plugin_name.'_url'); ?>" type="url" value="<?php echo get_option($this->plugin_name . '_url'); ?>" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" class="large-text" required="required">
                                                <p class="description"><?php esc_attr_e('This is the URL to your Universal email preference center installation', 'universal-email-preference-center'); ?></p>
                                            </td>
                                        </tr>
                                        <tr valign="top">
                                            <th scope="row" class="titledesc">
                                                <label for="<?php _e($this->plugin_name.'_key'); ?>">Email Center API Key</label>
                                            </th>
                                            <td class="forminp">
                                                <input id="<?php _e($this->plugin_name.'_key'); ?>" name="<?php _e($this->plugin_name.'_key'); ?>" type="text" value="<?php _e( get_option($this->plugin_name . '_key')); ?>" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" class="large-text" required="required">
                                                <p class="description" id="api-create-help-text"><?php _e('If you do not know your API Key or need help finding it, <a href="" target="_blank" id="api-create-help-link">click here</a> for Universal email preference center article.', 'universal-email-preference-center'); ?></p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <?php submit_button('Save API Settings'); ?>
                            </form>
                        </div>
                    </div>

                    <?php
                    if ($valid) {
                        if ( !empty($this->premium) && function_exists("uepcp_fs") && uepcp_fs()->is__premium_only() && uepcp_fs()->can_use_premium_code()) {
                            echo "<input type='hidden' id='upec-premium-js-validation' value=true>";
                            require_once UEPC_PREMIUM_DIR_PATH .'/admin/partials/settings-premium__premium_only.php';
                        } else {
                            global $current_user;
                            wp_get_current_user() ;
                            ?>
                                <div id="uepc-modal" class="hidden" style="max-width:800px">
                                    <h3>Hi <?php echo $current_user->user_login; ?>,</h3>
                                    <p>The option you are trying to use it's premium version feature.
                                    </p>
                                    <p>Please install premium add-on to use this feature.</p>
                                    <p><a target="_blank" href="<?php echo $uepc_freemius->_get_admin_page_url('addons') ?>"><< Click me to add premium >></a></p>
                                    <p><strong>Thanks</strong></p>
                                </div>
                            <?php
                            require_once plugin_dir_path(__FILE__) . 'settings-free.php';
                        }
                        if (function_exists("uepcc_fs") && uepcc_fs()->is__premium_only() && uepcc_fs()->can_use_premium_code()) {
                            require_once UEPC_CSS_DIR_PATH . '/admin/partials/settings-style-premium__premium_only.php';
                        }else{
                            require_once plugin_dir_path(__FILE__) . 'settings-styles.php';
                        }
                    }
                    ?>

                </div>
                <?php require_once plugin_dir_path(__FILE__) . 'settings-sidebar.php'; ?>
            </div>
            <br class="clear">
        </div>
    </div>
</div>