<div class="universal-email-preference-center">
	<?php if ( isset( $error ) && ! empty( $error ) ): ?>
        <div class="uepc-alert uepc-status-text" style="color:red;">
			<?php echo $error; ?>
        </div>
	<?php endif; ?>

	<?php if ( is_null( $email ) || $sending_email ): ?>

        <div class="uepc-email-container">
			<?php if ( !empty($this->premium) && function_exists("uepcp_fs") && uepcp_fs()->is__premium_only() && uepcp_fs()->can_use_premium_code() ): ?>
				<?php if ( $heading_retrieve != '' ): ?>
                    <h3 class="uepc-retrieve-heading"><?php esc_attr_e( $heading_retrieve ); ?></h3>
				<?php endif; ?>
			<?php else: ?>
                <h3 class="uepc-retrieve-heading"><?php esc_attr_e( 'Retrieve Email Preferences', 'universal-email-preference-center' ); ?></h3>
			<?php endif; ?>

			<?php if ( !empty($this->premium) && uepcp_fs()->is__premium_only() ): ?>
				<?php if ( $sending_email ): ?>
                    <div class="uepc-alert uepc-status-text" style="color:red;">
						<?php esc_attr_e( $tamper_protection_emailing ); ?>
                    </div>
				<?php endif; ?>
			<?php endif; ?>

            <form method="get">
				<?php if ( !empty($this->premium) && function_exists("uepcp_fs") && uepcp_fs()->is__premium_only() && uepcp_fs()->can_use_premium_code() ): ?>
                    <input type="email" name="email" value="<?php echo $email; ?>" placeholder="<?php esc_attr_e( $placeholder_email ); ?>" required="required">
				<?php else: ?>
                    <input type="email" name="email" placeholder="<?php esc_attr_e( 'Enter your email...', 'universal-email-preference-center' ); ?>" value="<?php echo $email; ?>" required="required">
				<?php endif; ?>
                <br>
				<?php if ( !empty($this->premium) && function_exists("uepcp_fs") && uepcp_fs()->is__premium_only() && uepcp_fs()->can_use_premium_code() ): ?>
					<?php if ( $button_retrieve != '' ): ?>
                        <input type="submit" value="<?php esc_attr_e( $button_retrieve ); ?>">
					<?php endif; ?>
				<?php else: ?>
                    <input type="submit" value="<?php esc_attr_e( 'Retrieve Email Preferences', 'universal-email-preference-center' ); ?>">
				<?php endif; ?>
            </form>
        </div>

	<?php endif; ?>

	<?php if ( $has_credentials ): ?>
		<?php if ( is_null( $email ) ): ?>
            <h2 class="uepc-available-lists-heading"><?php esc_attr_e( 'Not a subscriber yet?', 'universal-email-preference-center' ); ?></h2>
            <h3 class="uepc-available-lists-heading"><?php esc_attr_e( 'Select your lists and enter your email below.', 'universal-email-preference-center' ); ?></h3>
		<?php endif; ?>
		<?php if ( !empty($this->premium) && function_exists("uepcp_fs") && uepcp_fs()->is__premium_only() && uepcp_fs()->can_use_premium_code() ): ?>
			<?php if ( $heading_available_lists != '' ): ?>
                <h3 class="uepc-available-lists-heading"><?php echo esc_attr( $heading_available_lists ); ?></h3>
			<?php endif; ?>
		<?php else: ?>
            <h3 class="uepc-available-lists-heading"><?php esc_attr_e( 'Available Lists', 'universal-email-preference-center' ); ?></h3>
		<?php endif; ?>

        <form method="post" class="universal-email-preference-center-form">
			<?php
			if( $this->centre_type == "iterable" ){
				_e( '<input type="hidden" name="templateId" value="'.( isset($_GET['templateId']) ? sanitize_text_field($_GET['templateId']) : "").'">');
				_e( '<input type="hidden" name="campaignId" value="'.(isset($_GET['campaignId']) ? sanitize_text_field($_GET['campaignId']) : "").'">');
			}
			if (!empty($this->premium) && function_exists("uepcp_fs") && uepcp_fs()->is__premium_only() && uepcp_fs()->can_use_premium_code()) {
				require UEPC_PREMIUM_DIR_PATH .'/public/partials/preference-center-premium__premium_only.php';
			} else {
				require plugin_dir_path( dirname( __FILE__ ) ) . 'partials/preference-center-free.php';
			}
			?>
			<?php $input_type = is_null( $email ) ? 'email' : 'hidden'; ?>

			<?php if ( !empty($this->premium) && function_exists("uepcp_fs") && uepcp_fs()->is__premium_only() && uepcp_fs()->can_use_premium_code() ): ?>
                <input type="<?php echo $input_type; ?>" name="email" class="uepc-email" value="<?php echo $email; ?>" placeholder="<?php esc_attr_e( $placeholder_email ); ?>" required="required">
			<?php else: ?>
                <input type="<?php echo $input_type; ?>" name="email" class="uepc-email" placeholder="<?php esc_attr_e( 'Enter your email...', 'universal-email-preference-center' ); ?>" value="<?php echo $email; ?>" required="required">
			<?php endif; ?>

            <input type="hidden" id="current_subscribed_list_ids" name="current_subscribed_list_ids" value="<?php echo urlencode( serialize( $subscribed_lists ) ); ?>">
            <input type="hidden" id="all_channel_ids" name="all_channel_ids" value="<?php echo urlencode( serialize( $channel_ids ) ); ?>">
            <div class="universal-email-preference-status-text" style="display:none;"></div>
			<?php

			if ( !empty($this->premium) && uepcp_fs()->is__premium_only() ) {
				if ( ! is_null( $email ) ) {
					$btnLabel = esc_attr( $button_save_preferences );
				} else {
					$btnLabel = esc_attr( $button_subscribe );
				};
			} else {
				if ( ! is_null( $email ) ) {
					$btnLabel = esc_attr_x( 'Save Preferences', 'Button text if email has NOT been retrieved', 'universal-email-preference-center' );
				} else {
					$btnLabel = esc_attr_x( 'Subscribe', 'Button text if email HAS been retrieved.', 'universal-email-preference-center' );
				};
			}
			?>
            <input type="submit" value="<?php echo $btnLabel ?>" class="uepc-save-button">
        </form>
	<?php endif; ?>
</div>

<style>
	.uepc-save-button{
		background: #2271b1;
		border-color: #2271b1;
		color: #fff;
		font-size: 13px;
		line-height: 2.15384615;
		padding: 0 10px;
		cursor: pointer;
		border-width: 1px;
		border-radius: 3px;
		margin-top: 15px;
	}
</style>